Bug 1767170 - jna-5.6.0 is available
Summary: jna-5.6.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jna
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Dubaj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-30 20:26 UTC by Upstream Release Monitoring
Modified: 2021-01-11 11:26 UTC (History)
6 users (show)

Fixed In Version: jna-5.6.0-1.fc34
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-11 11:26:48 UTC
Type: ---


Attachments (Terms of Use)
compat_report.html (21.77 KB, text/html)
2021-01-07 10:33 UTC, Ondrej Dubaj
no flags Details

Description Upstream Release Monitoring 2019-10-30 20:26:17 UTC
Latest upstream release: 5.5.0
Current version/release in rawhide: 5.4.0-1.fc31
URL: https://github.com/java-native-access/jna/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1464/

Comment 1 Upstream Release Monitoring 2020-07-14 22:58:11 UTC
Latest upstream release: 5.6.0
Current version/release in rawhide: 5.4.0-3.fc33
URL: https://github.com/java-native-access/jna/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1464/

Comment 2 Upstream Release Monitoring 2020-07-14 22:58:13 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- jna-5.6.0-clean.tar.xz
- package-list
- generate-tarball.sh

Comment 3 Fedora Admin user for bugzilla script actions 2020-08-22 14:51:47 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 4 Ondrej Dubaj 2021-01-07 10:31:20 UTC
Rebase prepared in PR:

https://src.fedoraproject.org/rpms/jna/pull-request/3

No ABI issues spotted, adding compatibility report as well.

From my perspective, PR can be merged to f34 and f33

Comment 5 Ondrej Dubaj 2021-01-07 10:33:00 UTC
Created attachment 1745249 [details]
compat_report.html

Comment 6 Fabio Valentini 2021-01-11 11:26:48 UTC
Built for rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1667609


Note You need to log in before you can comment on or make changes to this bug.